summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kent Fritz <fritz.kent@gmail.com>2011-11-15 18:00:37 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:09 -0600
commit36eec7ab6d1af0f636cb760a622025aac8433dfc (patch)
treeb383b59e487bd184c605f9f91d0c5cbcbcfc0a6e
parent3fb34c83536886d94d069a00e8441d24677dee0e (diff)
downloadslackbuilds-36eec7ab6d1af0f636cb760a622025aac8433dfc.tar.gz
slackbuilds-36eec7ab6d1af0f636cb760a622025aac8433dfc.tar.xz
network/sipp: Added (SIP test tool)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--network/sipp/README11
-rw-r--r--network/sipp/sipp.SlackBuild70
-rw-r--r--network/sipp/sipp.info10
-rw-r--r--network/sipp/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/network/sipp/README b/network/sipp/README
new file mode 100644
index 0000000000..31eb9465df
--- /dev/null
+++ b/network/sipp/README
@@ -0,0 +1,11 @@
+SIPp (SIP test tool)
+
+SIPp is a test tool / traffic generator for the SIP protocol. It
+includes a few basic built-in scenarios (UAC and UAS) and can also
+read custom XML scenario files describing arbitrary call flows.
+
+It supports UDP, TCP, TLS, SIP authentication, RTP replay, and many
+more features. For more information, see the documentation from:
+ sipp -h
+and the SIPp homepage:
+ http://sipp.sourceforge.net/
diff --git a/network/sipp/sipp.SlackBuild b/network/sipp/sipp.SlackBuild
new file mode 100644
index 0000000000..1ff0dffbc2
--- /dev/null
+++ b/network/sipp/sipp.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for SIPp
+
+# Written by Kent Fritz fritz.kent@gmail.com
+
+PRGNAM=sipp
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM.svn
+tar xvf $CWD/$PRGNAM.svn.tar.gz
+cd $PRGNAM.svn
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make pcapplay_ossl
+mkdir -p $PKG/usr/bin
+cp -a sipp $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/$PRGNAM/pcap
+cp -a pcap/* $PKG/usr/share/$PRGNAM/pcap
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.txt LICENSE.txt MEDIA.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sipp/sipp.info b/network/sipp/sipp.info
new file mode 100644
index 0000000000..ef717cb3e8
--- /dev/null
+++ b/network/sipp/sipp.info
@@ -0,0 +1,10 @@
+PRGNAM="sipp"
+VERSION="3.2"
+HOMEPAGE="http://sipp.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/sipp/files/sipp/3.2/sipp.svn.tar.gz"
+MD5SUM="2a3a60cb4317dcf8eb5482f6a955e4d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kent Fritz"
+EMAIL="fritz.kent@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/sipp/slack-desc b/network/sipp/slack-desc
new file mode 100644
index 0000000000..e8ba6044af
--- /dev/null
+++ b/network/sipp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sipp: SIPp (SIP test tool)
+sipp:
+sipp: SIPp is a test tool / traffic generator for the SIP protocol. It
+sipp: includes a few basic built-in scenarios (UAC and UAS) and can also
+sipp: read custom XML scenario files describing arbitrary call flows.
+sipp:
+sipp: It supports UDP, TCP, TLS, SIP authentication, RTP replay, and many
+sipp: more features. For more information, see the documentation from:
+sipp: sipp -h
+sipp: and the SIPp homepage:
+sipp: http://sipp.sourceforge.net/